﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion


namespace HeuristicLab.Problems.Instances {
  public class FSSPData {
    /// <summary>
    /// The name of the instance.
    /// </summary>
    public string Name { get; set; }
    /// <summary>
    /// The description of the instance.
    /// </summary>
    public string Description { get; set; }
    /// <summary>
    /// The count of jobs.
    /// </summary>
    public int Jobs { get; set; }
    /// <summary>
    /// The count of machines.
    /// </summary>
    public int Machines { get; set; }
    /// <summary>
    /// The processing times for each combination of machine/job.
    /// </summary>
    public double[,] ProcessingTimes { get; set; }
    /// <summary>
    /// The best-known schedule.
    /// </summary>
    public int[] BestKnownSchedule { get; set; }
    /// <summary>
    /// The quality of the best-known schedule.
    /// </summary>
    public double? BestKnownQuality { get; set; }
  }
}
